## boxfort 0.0.0-git20200105

=== meson_options.txt ===
option('arena_reopen_shm', type: 'boolean', value: false, description: 'Reopen shared memory file in worker process rather than just inherit a file descriptor')
option('arena_file_backed', type: 'boolean', value: false, description: 'Use a file in tempfs to store the arena rather than using shm facilities')

## boxfort 0.0.0-git20200105-3e16c0a

=== debian/changelog ===
boxfort (0.0.0-git20200105-3e16c0a-6) unstable; urgency=medium

  * [3344a95] Added autopkgtest config.
    Also fixed a dependency issue found by autopkgtest

 -- SZALAY Attila <sasa@debian.org>  Fri, 31 Jan 2020 21:46:57 +0100

boxfort (0.0.0-git20200105-3e16c0a-5) unstable; urgency=medium

  * [000886d] Really narrow down the architectures

 -- SZALAY Attila <sasa@debian.org>  Fri, 31 Jan 2020 20:10:55 +0100

boxfort (0.0.0-git20200105-3e16c0a-4) unstable; urgency=medium

  * [677280c] Compile sample code with -marm on arm architecture

 -- SZALAY Attila <sasa@debian.org>  Fri, 31 Jan 2020 18:54:32 +0100

boxfort (0.0.0-git20200105-3e16c0a-3) unstable; urgency=medium

  * [9b8a39f] Narrow down the architectures to where the might compile.
    The upstream has a short list which is supported.
    Removing all architectures which is explicitly unsupported creates less
    noises on the build hosts. There are still architectures, which is
    theoretically supported, but the tests fails. But I'm keeping that
    architectures in the list now and I'm going to try fixing them.

 -- SZALAY Attila <sasa@debian.org>  Sun, 26 Jan 2020 00:19:36 +0100

boxfort (0.0.0-git20200105-3e16c0a-2) unstable; urgency=medium

  * [f78f302] Replace arch specific path part with * in *.install
    so it can pick up libboxfort.a on every architecture
  * [ae4b3f4] Bumped policy version to 4.5.0
  * [473b84f] Added python3-cram to build-dep
    cram is an optional tool the package can use for testing purposes.
  * [0918667] Add cram3 as valid cram implementation

 -- SZALAY Attila <sasa@debian.org>  Sat, 25 Jan 2020 20:32:18 +0100

boxfort (0.0.0-git20200105-3e16c0a-1) unstable; urgency=medium

  * [404528e] New upstream version 0.0.0-git20200105-3e16c0a
  * [b6a0c5b] Initial debianization (Closes: #948216)

 -- SZALAY Attila <sasa@debian.org>  Sun, 05 Jan 2020 14:23:26 +0100

=== debian/control ===
Source: boxfort
Section: libs
Priority: optional
Maintainer: SZALAY Attila <sasa@debian.org>
Standards-Version: 4.5.0
Build-Depends: debhelper (>= 12),
               meson,
               python3-cram

Package: libboxfort
Section: libs
Architecture: amd64 arm64 armel armhf i386 hurd-i386 kfreebsd-amd64 kfreebsd-i386 x32
Multi-Arch: no
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple, cross-platform sandboxing C library powering Criterion
 BoxFort provides a simple API to run user code in isolated processes.
 .
 Although BoxFort provides some kind of security of the parent process from
 spawned sandboxes, a sandbox has by default the same system permissions and
 access than its parent, and is hence, without care, ill-fitted for security
 purposes.
 .
 The main goal of this project is not security, but portable code isolation
 -- if you want complete system isolation, consider using properly configured
 containers.

Package: libboxfort-dev
Section: libdevel
Architecture: amd64 arm64 armel armhf i386 hurd-i386 kfreebsd-amd64 kfreebsd-i386 x32
Depends: ${misc:Depends}, libboxfort (= ${binary:Version}), pkg-config
Description: development file for BoxFort
 BoxFort provides a simple API to run user code in isolated processes.
 .
 Although BoxFort provides some kind of security of the parent process from
 spawned sandboxes, a sandbox has by default the same system permissions and
 access than its parent, and is hence, without care, ill-fitted for security
 purposes.
 .
 The main goal of this project is not security, but portable code isolation
 -- if you want complete system isolation, consider using properly configured
 containers.
 .
 This package contains the header files required to compile a package against
 BoxFort.

## boxfort 0.0.0-git20200808-ac0507b

=== debian/changelog ===
boxfort (0.0.0-git20200808-ac0507b-3) unstable; urgency=medium

  * [e92206f] Change the copyright file based on license-reconsile suggestions
  * [ab2fcdf] Add Multi-Arch attribute

 -- SZALAY Attila <sasa@debian.org>  Mon, 24 Aug 2020 17:54:22 +0200

boxfort (0.0.0-git20200808-ac0507b-2) unstable; urgency=medium

  * [55110e0] Fix some lintian suggestion

 -- SZALAY Attila <sasa@debian.org>  Tue, 11 Aug 2020 22:55:56 +0200

boxfort (0.0.0-git20200808-ac0507b-1) unstable; urgency=medium

  * [df4b650] New upstream version 0.0.0-git20200808-ac0507b
  * [fad40ed] Move the .a file to the dev packages as the policy mandates.
    And as the lib package is empty with this change, the lib package is not
    built any more.
  * [26e58a5] Add Vcs fields
  * [c0b0866] Remove patch already applied upstream

 -- SZALAY Attila <sasa@debian.org>  Sat, 08 Aug 2020 18:05:21 +0200

=== debian/control ===
Source: boxfort
Section: libs
Priority: optional
Maintainer: SZALAY Attila <sasa@debian.org>
Standards-Version: 4.5.0
Vcs-Browser: https://github.com/mochrul/BoxFort-debian
Vcs-Git: https://github.com/mochrul/BoxFort-debian.git
HomePage: https://github.com/Snaipe/Criterion
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 12),
               meson,
               python3-cram

Package: libboxfort-dev
Section: libdevel
Architecture: amd64 arm64 i386
Multi-Arch: same
Depends: ${misc:Depends}, pkg-config
Breaks: libboxfort (<< 0.0.0-git20200808-ac0507b-1)
Replaces: libboxfort (<< 0.0.0-git20200808-ac0507b-1)
Description: development file for BoxFort
 BoxFort provides a simple API to run user code in isolated processes.
 .
 Although BoxFort provides some kind of security of the parent process from
 spawned sandboxes, a sandbox has by default the same system permissions and
 access than its parent, and is hence, without care, ill-fitted for security
 purposes.
 .
 The main goal of this project is not security, but portable code isolation
 -- if you want complete system isolation, consider using properly configured
 containers.
 .
 This package contains the header files required to compile a package against
 BoxFort.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with autoreconf

override_dh_missing:
	dh_missing --fail-missing

## boxfort 0.1.2

=== meson_options.txt ===
option('arena_reopen_shm', type: 'boolean', value: false, description: 'Reopen shared memory file in worker process rather than just inherit a file descriptor')
option('arena_file_backed', type: 'boolean', value: false, description: 'Use a file in tempfs to store the arena rather than using shm facilities')
option('samples', type: 'boolean', value: true, description: 'Build samples')
option('tests', type: 'boolean', value: true, description: 'Build and run tests')

=== debian/changelog ===
boxfort (0.1.2-2) unstable; urgency=medium

  * Enable creating pristine-tar for import-orig
  * Cherry-picked required patch from upstream
  * Fix pristine-tar related option

 -- SZALAY Attila <sasa@debian.org>  Mon, 14 Feb 2022 20:52:20 +0000

boxfort (0.1.2-1) unstable; urgency=medium

  [ SZALAY Attila ]
  * Remove overlay option from gbp config

  [ Attila Szalay ]
  * Add watchfile
  * New upstream version 0.1.2

 -- SZALAY Attila <sasa@debian.org>  Sun, 13 Feb 2022 16:51:47 +0000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: SZALAY Attila <sasa@debian.org>
 Standards-Version: 4.5.0
-Vcs-Browser: https://github.com/mochrul/BoxFort-debian
-Vcs-Git: https://github.com/mochrul/BoxFort-debian.git
+Vcs-Browser: https://salsa.debian.org/sasa/boxfort
+Vcs-Git: https://salsa.debian.org/sasa/boxfort.git
 HomePage: https://github.com/Snaipe/Criterion
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 12),

=== debian/tests/control ===
Tests: build
Depends: libboxfort-dev, build-essential

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/Snaipe/BoxFort/tags .*/v?(\d\S+)\.tar\.gz
